<?php
/**
 * PostNuke Application Framework
 *
 * @copyright (c) 2001, PostNuke Development Team
 * @link http://www.postnuke.com
 * @version $Id: pnadmin.php 175 2006-05-05 14:07:50Z chestnut $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 */

function GoogleMap_admin_main()
{

    if (!pnSecAuthAction(0, 'GoogleMap::', '::', ACCESS_ADMIN)) {
        return pnVarPrepHTMLDisplay(_MODULENOAUTH);
    }

    $pnRender = new pnRender('GoogleMap');
    $pnRender->caching = false;

    $maptypes = array('G_HYBRID_MAP'    => _GM_MAPTYPE_MIXT,
                      'G_SATELLITE_MAP' => _GM_MAPTYPE_SATELLITE,
                      'G_NORMAL_MAP'    => _GM_MAPTYPE_PLAN);

    $pnRender->Assign('modvars', pnModGetVar('GoogleMap'));
    $pnRender->Assign('maptypes', $maptypes);

    return $pnRender->fetch('GoogleMap_admin_main.tpl');

}

function GoogleMap_admin_updateconfig()
{

    if (!pnSecAuthAction(0, 'GoogleMap::', '::', ACCESS_ADMIN)) {
        return pnVarPrepHTMLDisplay(_MODULENOAUTH);
    }

    $googlekey        = pnVarCleanFromInput('googlekey');
    $initiallat       = pnVarCleanFromInput('initiallat');
    $initiallong      = pnVarCleanFromInput('initiallong');
    $mapheight        = pnVarCleanFromInput('mapheight');
    $mapwidth         = pnVarCleanFromInput('mapwidth');
    $initialzoomlevel = pnVarCleanFromInput('initialzoomlevel');
    $initialmaptype   = pnVarCleanFromInput('initialmaptype');

    $modvars = pnModGetVar('GoogleMap');

    // Keeping default if values are empty
    if (!empty($initiallat)) {
        $modvars['initiallat'] = $initiallat;
    }
    if (!empty($initiallong)) {
        $modvars['initiallong'] = $initiallong;
    }
    if (!empty($mapheight)) {
        $modvars['mapheight'] = $mapheight;
    }
    if (!empty($mapwidth)) {
        $modvars['mapwidth'] = $mapwidth;
    }
    if (!empty($initialzoomlevel)) {
        $modvars['initialzoomlevel'] = $initialzoomlevel;
    }
    if (!empty($initialmaptype)) {
        $modvars['initialmaptype'] = $initialmaptype;
    }
    if (!empty($googlekey)) {
        $modvars['googlekey'] = $googlekey;
    } else {
        $modvars['googlekey'] = '';
    }

    while(list($varname, $varvalue) = each($modvars)) {
        pnModSetVar('GoogleMap', $varname, $varvalue);
    }

    pnSessionSetVar('statusmsg', pnVarPrepHTMLDisplay(_GM_CONFIGUPDATED));

    return pnRedirect(pnModUrl('GoogleMap', 'admin', 'main'));

}

?>