<?php
/**
 * PostNuke Application Framework
 *
 * @copyright (c) 2001, PostNuke Development Team
 * @link http://www.postnuke.com
 * @version $Id: pninit.php 147 2006-04-29 13:42:55Z chestnut $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 */

function GoogleMap_init()
{

    $dbconn  =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();

    $tbl = &$pntable['googlemap_markers'];
    $col = &$pntable['googlemap_markers_column'];

    $dict = &NewDataDictionary($dbconn);

    $taboptarray =& pnDBGetTableOptions();

    $flds = "
        $col[mid]      I        AUTOINCREMENT PRIMARY,
        $col[uid]      I(11)    NOTNULL DEFAULT 0,
        $col[lat]      F        NOTNULL DEFAULT 0.0,
        $col[long]     F        NOTNULL DEFAULT 0.0,
        $col[msg]      C(100)   NOTNULL DEFAULT ''
    ";

    $sqlarray = $dict->CreateTableSQL($tbl, $flds, $taboptarray);

    if ($dict->ExecuteSQLArray($sqlarray) != 2) {
        pnSessionSetVar('errormsg', _CREATETABLEFAILED.' - '.$dbconn->ErrorMsg());
        return false;
    }

    pnModSetVar('GoogleMap', 'googlekey',         '');
    pnModSetVar('GoogleMap', 'initiallat',        48.859294);
    pnModSetVar('GoogleMap', 'initiallong',       2.343521);
    pnModSetVar('GoogleMap', 'mapheight',         500);
    pnModSetVar('GoogleMap', 'mapwidth',          700);
    pnModSetVar('GoogleMap', 'initialzoomlevel',  5);
    pnModSetVar('GoogleMap', 'initialmaptype',    'G_HYBRID_MAP');
    pnModSetVar('GoogleMap', 'modulestylesheet',  'googlemap.css');

    return true;

}

function GoogleMap_upgrade($oldversion)
{

    return true;

}

function GoogleMap_delete()
{

    $dbconn  =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();

    $tbl  = &$pntable['googlemap_markers'];

    $dict = &NewDataDictionary($dbconn);

    $sqlarray = $dict->DropTableSQL($tbl);

    if ($dict->ExecuteSQLArray($sqlarray) != 2) {
        pnSessionSetVar('errormsg', _DROPTABLEFAILED);
        return false;
    }

    pnModDelVar('GoogleMap');

    return true;

}

?>