<?php
/**
 * PostNuke Application Framework
 *
 * @copyright (c) 2001, PostNuke Development Team
 * @link http://www.postnuke.com
 * @version $Id: pnuser.php 147 2006-04-29 13:42:55Z chestnut $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 */

function GoogleMap_user_main()
{

    if (!pnSecAuthAction('GoogleMap::', '::', ACCESS_OVERVIEW)) {
        return pnVarPrepHTMLDisplay(_MODULENOAUTH);
    }

    $modvars = pnModGetVar('GoogleMap');

    if (!isset($modvars['googlekey']) || empty($modvars['googlekey'])) {
        return pnVarPrepForDisplay(_GM_NOGOOGLEKEYINSTALLED);
    }

    $pnRender = new pnRender('GoogleMap');
    $pnRender->caching = false;

    $show = false;

    if (isset($modvars['googlekey']) && !empty($modvars['googlekey'])) {
        $show = true;

        $iefix     = '<style type="text/css"> v\:* { behavior:url(#default#VML); } </style>';
        $mapstart  = '<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key='.$modvars['googlekey'].'" type="text/javascript"></script>';

        $pnRender->Assign('iefix',    $iefix);
        $pnRender->Assign('mapstart', $mapstart);

        $ismapped = pnModAPIFunc('GoogleMap', 'user', 'ismapped', array());
        $markers  = pnModAPIFunc('GoogleMap', 'user', 'getall', array());

        $pnRender->Assign('ismapped', $ismapped);
        $pnRender->Assign('markers',  $markers);
        $pnRender->Assign('islogged', pnUserLoggedIn());

    }

    $pnRender->Assign('show',     $show);
    $pnRender->Assign('modvars',  $modvars);

    return $pnRender->fetch('GoogleMap_user_main.tpl');

}

function GoogleMap_user_addme()
{

    $pnRender = new pnRender('GoogleMap');
    $pnRender->caching = false;

    $pnRender->Assign('action', 'add');

    return $pnRender->fetch('GoogleMap_user_addme.tpl');

}

function GoogleMap_user_modify()
{

    if (!pnUserLoggedIn()) {
        return pnVarPrepForDisplay(_NOTLOGGEDIN);
    }

    $item = pnModAPIFunc('GoogleMap', 'user', 'get', array('uid' => pnUserGetVar('uid')));

    if (!$item) {
        pnSessionSetVar('errormsg', 'Error retriving your info');
        return pnRedirect(pnModUrl('GoogleMap', 'user', 'main'));
    }

    $pnRender = new pnRender('GoogleMap');
    $pnRender->caching = false;

    $pnRender->Assign($item);
    $pnRender->Assign('action', 'modify');

    return $pnRender->fetch('GoogleMap_user_addme.tpl');

}

function GoogleMap_user_update()
{

    $uid        = pnVarCleanFromInput('uid');
    $action     = pnVarCleanFromInput('action');
    $longitude  = pnVarCleanFromInput('longitude');
    $latitude   = pnVarCleanFromInput('latitude');
    $msg        = pnVarCleanFromInput('msg');

    if (empty($longitude) || empty($latitude)) {
        pnSessionSetVar('errormsg', 'Wrong coordinates');
        return pnRedirect(pnModUrl('GoogleMap', 'user', 'main'));
    }

    // Check if the guy is already mapped
    if ($action == 'add') {
        $ismapped = pnModAPIFunc('GoogleMap', 'user', 'ismapped', array('uid' => $uid));
        if ($ismapped) {
            pnSessionSetVar('errormsg', 'Already mapped');
            return pnRedirect(pnModUrl('GoogleMap', 'user', 'main'));
        }
    }

    $result = pnModAPIFunc('GoogleMap', 'user', 'update', array('action'    => $action,
                                                                'uid'       => $uid,
                                                                'longitude' => $longitude,
                                                                'latitude'  => $latitude,
                                                                'msg'       => $msg));

    if ($result == false) {
        //pnSessionSetVar('errormsg', 'Error updating markers');
    } else {
        pnSessionSetVar('statusmsg', _GM_COORDSUPDATED);
    }

    return pnRedirect(pnModUrl('GoogleMap', 'user', 'main'));

}

?>