<?php
/**
 * PostNuke Application Framework
 *
 * @copyright (c) 2001, PostNuke Development Team
 * @link http://www.postnuke.com
 * @version $Id: pnuserapi.php 162 2006-04-29 17:39:26Z chestnut $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 */

function GoogleMap_userapi_getall($args)
{

    $dbconn  =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();

    $tbl = $pntable['googlemap_markers'];
    $col = $pntable['googlemap_markers_column'];

    $sql = "SELECT $col[mid],
                   $col[uid],
                   $col[lat],
                   $col[long],
                   $col[msg]
            FROM   $tbl";

    $result =& $dbconn->Execute($sql);

    if ($dbconn->ErrorNo() != 0) {
        pnSessionSetVar('errormsg', "Error: ".$dbconn->ErrorMsg());
        return false;
    }

    $markers = array();

    for (; !$result->EOF; $result->MoveNext()) {
        list($mid, $uid, $lat, $long, $msg) = $result->fields;

        $markers[] = array('mid'        => $mid,
                           'uid'        => $uid,
                           'latitude'   => $lat,
                           'longitude'  => $long,
                           'msg'        => $msg);

    }

    return $markers;

}

function GoogleMap_userapi_get($args)
{

    if (!isset($args['uid']) || !is_numeric($args['uid'])) {
        return false;
    }

    $dbconn  =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();

    $tbl = $pntable['googlemap_markers'];
    $col = $pntable['googlemap_markers_column'];

    $sql = "SELECT $col[mid],
                   $col[uid],
                   $col[lat],
                   $col[long],
                   $col[msg]
            FROM   $tbl
            WHERE  $col[uid] = '".pnVarPrepForStore($args['uid'])."'";

    $result =& $dbconn->Execute($sql);

    if ($dbconn->ErrorNo() != 0) {
        pnSessionSetVar('errormsg', "Error: ".$dbconn->ErrorMsg());
        return false;
    }

    $item = array();

    list($mid, $uid, $lat, $long, $msg) = $result->fields;

    $item = array('mid'       => $mid,
                  'uid'       => $uid,
                  'latitude'  => $lat,
                  'longitude' => $long,
                  'msg'       => $msg);

    return $item;

}

function GoogleMap_userapi_ismapped($args)
{

    if (!isset($args['uid']) || empty($args['uid'])) {
        $uid = pnUserGetVar('uid');
    } else {
        $uid = $args['uid'];
    }

    $dbconn  =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();

    $tbl = $pntable['googlemap_markers'];
    $col = $pntable['googlemap_markers_column'];

    $sql = "SELECT count($col[mid])
            FROM   $tbl
            WHERE  $col[uid] = '".pnVarPrepForStore($uid)."'";

    $result =& $dbconn->Execute($sql);

    if ($dbconn->ErrorNo() != 0) {
        pnSessionSetVar('errormsg', "Error: ".$dbconn->ErrorMsg());
        return false;
    }

    list($count) = $result->fields;

    if ($count == 0) {
        return false;
    } else {
        return true;
    }

}

function GoogleMap_userapi_update($args)
{

    $action     = $args['action'];
    $uid        = $args['uid'];
    $longitude  = $args['longitude'];
    $latitude   = $args['latitude'];
    $msg        = $args['msg'];

    $dbconn  =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();

    $tbl = $pntable['googlemap_markers'];
    $col = $pntable['googlemap_markers_column'];

    if ($action == 'add') {

        $sql = "INSERT INTO $tbl (
                            $col[uid],
                            $col[lat],
                            $col[long],
                            $col[msg])
                VALUES     ('".pnVarPrepForStore($uid)."',
                            '".pnVarPrepForStore($latitude)."',
                            '".pnVarPrepForStore($longitude)."',
                            '".pnVarPrepForStore($msg)."')";

    } else {
        $sql = "UPDATE $tbl
                SET    $col[lat]  = '".pnVarPrepForStore($latitude)."',
                       $col[long] = '".pnVarPrepForStore($longitude)."',
                       $col[msg]  = '".pnVarPrepForStore($msg)."'
                WHERE  $col[uid]  = '".pnVarPrepForStore($uid)."'";
    }

    $dbconn->Execute($sql);

    if ($dbconn->ErrorNo() != 0) {
        //echo $dbconn->ErrorMsg(); exit;
        pnSessionSetVar('errormsg', "Error: ".$dbconn->ErrorMsg());
        return false;
    }

    return true;

}



function GoogleMap_userapi_temp()
{

    return true;

}

?>